/*selector {property:value;}*/
/* * {margin: 0; padding:0;}/* pour remettre ces éléments à zéro, car ils varient selon les navigateurs*/

/*propriétés générales de la feuille*/
*{font-family : arial, sans-serif;}

/*heider*/
h1 {text-align:center;
    background-color: rgb(115,153,155); background-color: rgba(0,145,147,0.5);  /*tous les navigateurs ne lisent pas rgba, alors il faut une autre option, mais priorité au dernier*/
    border:5px solid rgb(0,145,147); padding: 10px; margin: 10px;}

/*nav*/ 
.flexnav {display:flex;}

nav h2 {display: inline-block;flex-wrap:wrap; justify-content: space-between; padding : 0px;}
nav h2 p {background-color: rgba(146,144,0,0.1); font-weight: normal; width: 150px; border:1px solid olive;
text-align:center;  margin : 2px; padding:0px;}
nav h2 p:hover {color : olive; background-color: rgba(255,255,255,0.1);}

a {color: black; text-decoration: none;}

h2 {background-color: rgb(235,232,101); background-color: rgba(146,144,0,0.5); /**/
    border: 5px solid rgb(146,144,0);
    padding: 10px; margin: 10px;}
    
nav .cours { background-color: aqua;
    border: 5px solid teal;
    padding: 10px;
	margin: 10px;}

nav p {background-color: yellow;
    border: 5px solid rgba(255, 128, 0, 0.9);
    margin : 10px;
    padding : 10px;}

/*articles*/
article .cours { background-color: aqua;
    border: 5px solid teal;
    padding: 10px;
	margin: 10px;}

article p {background-color: yellow;
    border: 5px solid rgba(255, 128, 0, 0.9);
    margin : 10px;
    padding : 10px;}
    
.carre {background-color: yellow;
    border: 5px solid orange;
	margin: 10px;
    padding: 10px;
	width: 150px;/*largeur*/
	height: 150px;/*hauteur*/
}
.rectangle  {background-color: yellow;
    border: 5px solid orange;	padding: 10px;
	margin: 10px;
	width: 300px;/*largeur*/
	height: 150px;/*hauteur*/}
    
.box {background-color: yellow;
    border: 5px solid orange;
	margin: 10px;
    padding: 10px;
	width: 150px;/*largeur*/
	height: 20px;}/*hauteur*/

.fin {border: 1px dashed black;
min-width: 500px; min-height: 150px;}

.clearing {clear: both;}
    
/*Qu'est ce qu'une boite*/
#margin  {background-color: white;
        padding: 10px;
    	margin: 10px;
    	border: 1px dashed black;}
        
#border  {background-color: orange;
        padding: 10px;
    	margin: 10px 20px  10px  20px;}
        
#padding {background-color: yellow;
        padding: 10px;
    	margin: 10px 20px  10px  20px;}
        
#contenu {background-color: yellow;
        padding: 0px;
    	margin: 10px 20px  10px  20px;
        border: 1px dashed black;}
        
.boite1  {background-color: yellow;
    border: 5px solid rgb(255, 128, 0);
    margin : 10px;
    padding : 10px;
    width : 300px;}
    
.boite2 {background-color: yellow;
    border: 5px solid rgb(255, 128, 0);
    margin : 10px;
    padding : 10px;
    width : 400px;}

.taille1 {min-width: 500px; min-height: 150px;}
.taille2 {max-width: 150px; max-height: 150px;}

.overflow1 {overflow:visible; position: relative; float: left;}
.overflow2 {overflow:scroll; position: relative; float: left;}
.overflow3 {overflow:hidden; position: relative; float: left;}
.overflow4 {overflow:auto; position: relative; float: left;}

/*Le fond des boites*/
.boite3  {background-color: rgba(255, 0, 0, 0.5);
    border: 20px solid rgba(255, 0, 0, 0.5);
    margin : 10px;
    padding : 10px;
    width : 300px;}
    
.boite4 {background-color: rgba(255, 251, 0, 0.5);
    border: 20px solid rgba(255, 251, 0, 0.5);
    margin : 10px;
    padding : 10px;
    width : 400px;}
    
.boite5 {margin:10px;
background-color: maroon;
width: 450px;}

.degrad1 {background:-webkit-linear-gradient(left, yellow, aqua, red);
         background: -o-linear-gradient(right, yellow, aqua, red);
         background: -moz-linear-gradient(right, yellow, aqua, red);
         background: linear-gradient(to right, yellow, aqua, red);
} /*linear-gradient doit être décliné pour chaque navigateur, en terminant par la version non préfixée. ATTENTION la terminologie change à chaque fois pour aboutir au meme resultat.*/
.degrad2 {background:-webkit-linear-gradient(left, yellow 50%, aqua 60%, red 70%);
         background: -o-linear-gradient(right, yellow 50%, aqua 60%, red 70%);
         background: -moz-linear-gradient(right, yellow 50%, aqua 60%, red 70%);
         background: linear-gradient(to right, yellow 50%, aqua 60%, red 70%);
} 
.degrad3 {background:-webkit-repeating-linear-gradient(0deg, yellow, aqua, red 100px);
         background: -o-repeating-linear-gradient(0deg, yellow, aqua, red 100px);
         background: -moz-repeating-linear-gradient(0deg, yellow, aqua, red 100px);
         background: repeating-linear-gradient(to 0deg, yellow, aqua, red 100px);
}
.degradiag {background: -webkit-linear-gradient(top left, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
         background: -o-linear-gradient(bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
         background: -moz-linear-gradient(bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
         background: linear-gradient(to bottom right, rgba(255, 0, 0, 1), rgba(255, 0, 0, 0.1));
}/*la direction peut être exprimée en degrés : par défaut : "180deg"= de haut en bas; 90deg = de gauche à droite. Les valeurs négatives sont admises.*/

.radial1 {background:-webkit-radial-gradient(circle, yellow, aqua, red);
         background: -o-radial-gradient(circle, yellow, aqua, red);
         background: -moz-radial-gradient(circle, yellow, aqua, red);
         background: radial-gradient(circle, yellow, aqua, red);
         position: relative;float: left;}

.radial2 {background:-webkit-radial-gradient(circle, yellow 50%, aqua 60%, red 70%);
         background: -o-radial-gradient(circle, yellow 50%, aqua 60%, red 70%);
         background: -moz-radial-gradient(circle, yellow 50%, aqua 60%, red 70%);
         background: radial-gradient(circle, yellow 50%, aqua 60%, red 70%);
         position: relative;float: left;
         }
.radial3 {background:-webkit-radial-gradient(20% 40%, farthest-side, yellow 50%, aqua 60%, red 70%);/* closest-side  -  farthest-side  -  closest-corner   -  farthest-corner*/
         background: -o-radial-gradient(20% 40%, farthest-side, yellow 50%, aqua 60%, red 70%);
         background: -moz-radial-gradient(20% 40%, farthest-side, yellow 50%, aqua 60%, red 70%);
         background: radial-gradient(farthest-side at 20% 40%, yellow 50%, aqua 60%, red 70%); /*Attention à l'écriture de cette ligne différente des autres*/
         position: relative;float: left;}
         
.radial4 {background:-webkit-radial-gradient(yellow 50%, aqua 60%, red 70%);
         background: -o-radial-gradient(yellow 50%, aqua 60%, red 70%);
         background: -moz-radial-gradient(yellow 50%, aqua 60%, red 70%);
         background: radial-gradient(yellow 50%, aqua 60%, red 70%);
         position: relative; float: left;}

.image {background-image:url("../Images/cat.jpg");}
 
.bgimg1 {position: relative; float: left;background-size:cover;}
.bgimg2 {position: relative; float: left;background-size:25%; background-repeat:repeat-x;}
.bgimg3 {position: relative; float: left;background-size:25%;}
.bgimg4 {position: relative; float: left;background-size:cover; background-repeat:no-repeat;}

.alignv { 
    width:250px;
    height:250px;
    line-height:250px;
    text-align:center; /* centrage horizontal d'un élément en-ligne */ }
    
.alignv1 { 
    vertical-align:middle; }

/*décorer les bords*/
.none {border-style: none;}
.dotted {border-style: dotted;}
.dashed {border-style: dashed;}
.double {border-style: double;}
.groove {border-style: groove;}
.ridge {border-style: ridge;}
.inset {border-style: inset;}
.outset {border-style: outset;}
.hidden {border-style: hidden;}
.arron {border: 5px solid orange; padding: 10px; border-radius: 10px 0 0 10px;}/*top-left, top-right, bottom-right, bottom-left.*/

.rond {text-align:center;
    display: table-cell;
    vertical-align: middle;
    width : 200px;
    height:200px;
    border-radius:50%;}

.clip1 {background-color: yellow;border: 5px dashed orange;margin: 10px; padding: 10px; width: 70px; height: 20px;
-moz-background-clip: border-box; /*pour etre lisible sur différents navigateurs*/
-webkit-background-clip:border-box;
background-clip:border-box;}

.clip2 {background-color: yellow;border: 5px dashed orange;margin: 10px; padding: 10px; width: 70px; height: 20px;
-moz-background-clip: padding-box; /*pour etre lisible sur différents navigateurs*/
-webkit-background-clip:padding-box;
background-clip:padding-box;}

.clip3 {background-color: yellow;border: 5px dashed orange;margin: 10px; padding: 10px; width: 70px; height: 20px;
-moz-background-clip: content-box; /*pour etre lisible sur différents navigateurs*/
-webkit-background-clip:content-box;
background-clip:content-box;}

.grcadre {color:orange;
    width:400px;}
    
.catrans1 {color:black;
border: 20px solid rgba(0, 0, 0, 0.35);
-moz-background-clip: padding-box; /*pour etre lisible sur différents navigateurs*/
-webkit-background-clip:padding-box;
background-clip:padding-box;
width:300px;
position:relative;
top:-130px;
left:20px;
background-color: white;
}
.catrans2 {color:black;
border: 20px solid rgba(0, 0, 0, 0.35);
width:300px;
position:relative;
top:-130px;
left:20px;
background-color: white;
}
.catrans3 {color:black;
border: 20px solid rgba(0, 0, 0, 0.35);
width:300px;
position:relative;
top:-130px;
left:20px;
background-color: rgba(255, 255, 0, 0.2);
}

/*l'ombre des boites*/
.shadow1 {position: relative; float: left;box-shadow: 10px 10px 5px grey; margin:30px;}
.shadow2 {position: relative; float: left;box-shadow: 10px 10px 5px grey; box-shadow: -10px -10px 5px grey; margin:30px;}
.shadow3 {position: relative; float: left;box-shadow: 10px 10px 5px grey inset; margin:30px;}


/*Positionner les boites*/
.position1 {position: static; /*static ou relative ou fixed ou absolute*/
left:50px;} 
.position2 {position: relative; /*static ou relative ou fixed ou absolute*/
left:250px;}

.index1 {opacity: 0.9; position:relative; left:50px; top: 0px;z-index: 3;}
.index2 {opacity: 0.9; position:relative; left:100px; top: -100px;z-index: 1;}
.index3 {opacity: 0.9; position:relative; left:210px; top: -350px;z-index: 2;}

.displayblock {display:block;}

#bhg1 {display:inline-block;
}
#bhd1 {display:inline-block;
}
#bbg1 {display:inline-block; 
}
#bbd1 {display:inline-block;
}

#bhg2 {position: relative;
	float: left;
}
#bhd2 {position: relative;
	float: left;
}
#bbg2 {position: relative;
	clear: left;
	float:left;
}
#bbd2 {position: relative;
    float:left;
    float:clear;
}

/*Les flexbox*/
.flex {display:flex;} /* fait des éléments des flex-item qui retrecissent si pas de place = par défaut, les éléments se mettrent en ligne. */
.flex1 {flex-flow: column-reverse wrap;} /**/
.flex2 {flex-flow: row-reverse nowrap;
justify-content: space-between;} /**/

/*Les transformations*/
.rotate {transform: rotate(-10deg);}
.origin{transform: rotate(10deg);transform-origin: 40% 40%;}
.translate{transform:translate(100px, -20px);}
.skew{transform:skew(20deg, 10deg);}
.scale{transform:scale(0.7,1.5);}

.rotateX {transform: rotateX(150deg);}
.rotateY {transform: rotateY(150deg);}
.rotateZ {transform: rotateZ(150deg);}
.etoiles {margin: 10px; text-align:center; color:yellow; background-color:white; font-weight: bold;font-size: 30px; position:relative; perspective:100px; -webkit-perspective:100px;}
.episode {margin: 10px; text-align:center; color:yellow; background-color:black; font-weight: bold;font-size: 30px; position: relative; padding: 30px; transform:rotateX(45deg);-webkit-transform:rotateX(45deg);}

/*les transitions*/
.move1 {transition: width 5s, background-color 5s; transition-timing-function:linear;}/* ne prend par border*/
.move1:hover{width: 300px; background-color: orange;}

.ease {transition: width 5s, background-color 5s; transition-timing-function:ease;}
.ease:hover{width:600px;background-color:rgb(255,88,88);}

.ease-in{transition: width 5s, background-color 5s; transition-timing-function:ease-in;}
.ease-in:hover{width:600px;background-color:rgb(255,147,72);}

.ease-out{transition: width 5s, background-color 5s; transition-timing-function:ease-out;}
.ease-out:hover{width:600px; background-color:rgb(255,252,151);}

.ease-in-out{transition: width 5s, background-color 5s;transition-timing-function:ease-in-out;}
.ease-in-out:hover{width:600px; background-color:rgb(115,253,255);}

.linear{transition: width 5s, background-color 5s;transition-timing-function:linear;}
.linear:hover{width:600px; background-color:rgb(0,150,255);}

.cubic-bezier1{transition: width 5s, background-color 5s;transition-timing-function:cubic-bezier(1,0,0,1);}
.cubic-bezier1:hover{width:600px; background-color:rgb(122,129,255);}

.cubic-bezier2{transition: width 5s, background-color 5s;transition-timing-function:cubic-bezier(1,0,1,0);}
.cubic-bezier2:hover{width:600px; background-color:rgb(148,55,255);}

/*les animations*/
.anim1 {animation-name: colorchange; animation-duration : 5s; animation-iteration-count : infinite;
-webkit-animation-name: colorchange; -webkit-animation-duration : 5s; -webkit-animation-iteration-count : infinite;}
@keyframes colorchange {
    0% {background-color:yellow;}
    17% {background-color:orange;}
    34% {background-color:red;}
    50% {background-color:violet;}
    67% {background-color:blue;}
    84% {background-color:green;}
    100% {background-color:yellow;}
}
.anim2 {animation-name: policechange; animation-duration : 5s; animation-timing-function: ease; animation-direction : alternate-reverse;
-webkit-animation-name: policechange; -webkit-animation-duration : 5s; -webkit-animation-timing-function: ease;-webkit-animation-direction : alternate-reverse;animation-iteration-count : infinite; -webkit-animation-iteration-count : infinite;}
@keyframes policechange {
    0% {font-size:16px;}
    100% {font-size:32px;}
}

.anim3 {
    animation-name: grossir;
    animation-duration: 5s;
    animation-timing-function: ease;
    animation-direction: alternate-reverse;
    -webkit-animation-name: grossir;
    -webkit-animation-duration: 5s;
    -webkit-animation-timing-function: ease;
    -webkit-animation-direction: alternate-reverse;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: infinite;
}

@keyframes grossir {
    0% {
        width: 10%;
        height: 10%;
    }

    100% {
        width: 20%;
        height: 20%;
    }    
}